Subject: Re: Follow up to New Question:
From: [email-masked] (Alex)

26 Sep 1997 19:12:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

On Fri, 26 Sep 1997, Kermit Tensmeyer wrote:

> Output of Makefile:
> 
> cd ~/
> make -k rrexec.exe
> gcc  -o rrexec.exe rrexec.o 
> C:/gnuwin32/H-i386-cygwin32/i386-cygwin32/lib/libwsock32.a
> rrexec.o(.text+0x172):rrexec.c: undefined reference to `rexec'
> rrexec.o(.text+0x1c1):rrexec.c: undefined reference to `recv'
> gcc: Internal compiler error: program ld got fatal signal 1
> make: *** [rrexec.exe] Error 1
> 
> Compilation exited abnormally with code 2 at Fri Sep 26 12:08:16

>    from this I conclude that somehow the function call 'rexec' 
>  does _not_ get statisfied to the ident _rexec@24_.

Right, because it's not supported.  It's probably not supposed to be in
there.
 
>  so how is gnuwin32 differenet from the orthodox Gnu C compiler?

It doesn't have a libc in the usual sense.
 
>   oh yes, the code was copied from the GNU C for Unix and linked
>  without explict libraries.
> 
>   Under GNU C, rexec and recv are included in the libc.a..

rexec and recv are both socket functions.  I _think_ that recv might be a
function in wsock32.dll (try running nm or strings on it and/or
winsock.dll).  I _think_ the functions that need wrappers and that aren't
in the Win32 api are included in the "libc" a.k.a. libcygwin.a/cygwin.dll.
I _think_ all the functions that are copied straight over from Win32 dlls
have their own .a libs.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".